Summary:	OpenNTPD - NTP Time Synchronization Client/Server 
Name:		openntpd
Version:	3.9p1
%define subrel	1
Release:	%mkrel 11
License:	BSD
Group:		System/Servers
URL:		http://www.openntpd.org
Source0:	ftp://ftp.openbsd.org/pub/OpenBSD/OpenNTPD/%{name}-%{version}.tar.bz2
Source1:	openntpd.init
Patch0:		openntpd-3.9-CVE-2016-6301.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(pre): rpm-helper
Requires(postun): rpm-helper
BuildRequires:	openssl-devel
BuildRequires:	bison
BuildRequires:	byacc
BuildRequires:	groff-for-man
Conflicts:	ntp-client
Provides:	ntp

%description
OpenNTPD is a FREE, easy to use implementation of the Network Time
Protocol. It provides the ability to sync the local clock to
remote NTP servers and can act as NTP server itself,
redistributing the local clock. 

%prep

%setup -q -n %{name}-%{version}
%patch0 -p1 -b .dos

cp %{SOURCE1} openntpd.init

%build

%configure2_5x \
    --disable-strip \
    --with-privsep-user=ntp \
    --with-privsep-path=%{_var}/empty \
    --with-ssl-dir=%{_prefix}
	      
%make

%install
install -d %{buildroot}%{_initrddir}

%makeinstall_std

install -m0755 openntpd.init %{buildroot}%{_initrddir}/ntpd

%pre
%_pre_useradd ntp %{_var}/empty /bin/false
/usr/sbin/usermod -d %{_var}/empty ntp

%post
%_post_service ntpd

%preun
%_preun_service ntpd

%files
%doc CREDITS ChangeLog README*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ntpd.conf
%attr(0755,root,root) %{_initrddir}/ntpd
%attr(0755,root,root) %{_sbindir}/*
%attr(0644,root,root) %{_mandir}/man*/*


%changelog
* Thu Aug 04 2016 luigiwalser <luigiwalser> 3.9p1-11.1.mga5
+ Revision: 1044436
- rediff upstream patch to fix CVE-2016-6301

* Wed Oct 15 2014 umeabot <umeabot> 3.9p1-11.mga5
+ Revision: 742193
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9p1-10.mga5
+ Revision: 683227
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 3.9p1-9.mga4
+ Revision: 508773
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 3.9p1-8.mga3
+ Revision: 362052
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Apr 30 2011 misc <misc> 3.9p1-7.mga1
+ Revision: 93858
- increase Release so it match the one of Mandriva, for upgrade from stable

* Thu Apr 21 2011 rapsys <rapsys> 3.9p1-1.mga1
+ Revision: 89429
- Import openntpd
- Created package structure for openntpd.

